export default Points;
declare class Points {
    constructor(options?: {});
    max_pts: any;
    rootObject: any;
    setup(type: any, size: any, alpha: any): void;
    positions: BufferAttribute | undefined;
    colors: BufferAttribute | undefined;
    geomtry: BufferGeometry | undefined;
    material: PointsMaterial | undefined;
    object: ThreePoints | undefined;
    update(data: any): void;
    setAlpha(alpha: any): void;
    setSize(size: any): void;
}
import { BufferAttribute } from "three/src/core/BufferAttribute";
import { BufferGeometry } from "three/src/core/BufferGeometry";
import { PointsMaterial } from "three/src/materials/PointsMaterial";
import { Points as ThreePoints } from "three/src/objects/Points";
